org.apache.poi.xddf.usermodel

## Class XDDFTransform2D

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFTransform2D

-     @Beta
      public class XDDFTransform2D
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFTransform2D(org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D transform)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFPositiveSize2D` | `getExtension()`
    `java.lang.Boolean` | `getFlipHorizontal()`
    `java.lang.Boolean` | `getFlipVertical()`
    `XDDFPoint2D` | `getOffset()`
    `java.lang.Double` | `getRotation()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D` | `getXmlObject()`
    `void` | `setExtension(XDDFPositiveSize2D extension)`
    `void` | `setFlipHorizontal(java.lang.Boolean flip)`
    `void` | `setFlipVertical(java.lang.Boolean flip)`
    `void` | `setOffset(XDDFPoint2D offset)`
    `void` | `setRotation(java.lang.Double rotation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFTransform2D

          protected XDDFTransform2D(org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D transform)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D getXmlObject()

    - #### getFlipHorizontal

          public java.lang.Boolean getFlipHorizontal()

    - #### setFlipHorizontal

          public void setFlipHorizontal(java.lang.Boolean flip)

    - #### getFlipVertical

          public java.lang.Boolean getFlipVertical()

    - #### setFlipVertical

          public void setFlipVertical(java.lang.Boolean flip)

    - #### getExtension

          public XDDFPositiveSize2D getExtension()

    - #### setExtension

          public void setExtension(XDDFPositiveSize2D extension)

    - #### getOffset

          public XDDFPoint2D getOffset()

    - #### setOffset

          public void setOffset(XDDFPoint2D offset)

    - #### getRotation

          public java.lang.Double getRotation()

    - #### setRotation

          public void setRotation(java.lang.Double rotation)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.